封尘网

让学习成为一种习惯!

解决Ubuntu系统下无法使用firefox观看慕课网视频的问题

最近在该网站上看视频,但是在Ubuntu系统通过默认的firefox浏览器打开视频会出现以下问题。

其实上面提示哪怕你跟着操作也是无法正常打开视频的,主要是上面的配置基本是默认的,而最后一条加了也没用。以目前在浏览器中看视频主流有两个HTML5方式和FLAS方式。默认情况某网上的视频是以HTML5的方式播放的,而这里显然已经没办法了。那么就使用FLASH吧。虽然不怎么样,但是至少是能正常观看的。

以下条件可能不适合所有版本的Ubuntu系统,仅供参考。

系统环境:

root@swper-ubuntu:~# lsb_release -a 
No LSB modules are available. 
Distributor ID: Ubuntu 
Description:    Ubuntu 16.04.5 LTS 
Release:    16.04 
Codename:   xenial 
FIrefox版本:[手动升级过]
root@swper-ubuntu:~# firefox -V 
Mozilla Firefox 62.0

安装FLASH插件:

apt-get install flashplugin-installer

安装完成后直接启动firefox浏览器,此时打开视频就不再是上面的提示了,这里点击Run Adobe Flash

在弹出的提示框点击ALLOW,并打上一个钩就可以了。

然后就可以正常看视频了,其实在这里有个地方可以关闭的。在浏览器地址栏输入 about:config 可以看到下图:

蓝色选择中的行,plugin.state.flash 如何值为0的时候就不能播放视频了。

提醒:本文最后更新于 457 天前,文中所描述的信息可能已发生改变,请谨慎使用。